_Write_MCP9600_Data:
;THERMO K click.c,24 :: 		char Write_MCP9600_Data(char RegAddr, char _data)
; _data start address is: 4 (R1)
; RegAddr start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; _data end address is: 4 (R1)
; RegAddr end address is: 0 (R0)
; RegAddr start address is: 0 (R0)
; _data start address is: 4 (R1)
;THERMO K click.c,26 :: 		tmp_data[0] = RegAddr;                                                        // Register address
MOVW	R2, #lo_addr(_tmp_data+0)
MOVT	R2, #hi_addr(_tmp_data+0)
STRB	R0, [R2, #0]
; RegAddr end address is: 0 (R0)
;THERMO K click.c,27 :: 		tmp_data[1] = _data;
MOVW	R2, #lo_addr(_tmp_data+1)
MOVT	R2, #hi_addr(_tmp_data+1)
STRB	R1, [R2, #0]
; _data end address is: 4 (R1)
;THERMO K click.c,29 :: 		I2C_Start();                                                                  // Issue I2C start signal
BL	_I2C_Start+0
;THERMO K click.c,30 :: 		I2C_Write(MCP9600_I2C_ADDR,tmp_data,2,END_MODE_STOP);                         // Send two bytes (tmp_data[0] and tmp_data[1])
MOVW	R3, #1
MOVS	R2, #2
MOVW	R1, #lo_addr(_tmp_data+0)
MOVT	R1, #hi_addr(_tmp_data+0)
MOVS	R0, #96
BL	_I2C_Write+0
;THERMO K click.c,31 :: 		}
L_end_Write_MCP9600_Data:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _Write_MCP9600_Data
_Read_MCP9600_Data:
;THERMO K click.c,40 :: 		char Read_MCP9600_Data(char RegAddr)
; RegAddr start address is: 0 (R0)
SUB	SP, SP, #4
STR	LR, [SP, #0]
; RegAddr end address is: 0 (R0)
; RegAddr start address is: 0 (R0)
;THERMO K click.c,42 :: 		tmp_data[0] = RegAddr;                                                        // Register address
MOVW	R1, #lo_addr(_tmp_data+0)
MOVT	R1, #hi_addr(_tmp_data+0)
STRB	R0, [R1, #0]
; RegAddr end address is: 0 (R0)
;THERMO K click.c,44 :: 		I2C_Start();                                                                  // Issue I2C start signal
BL	_I2C_Start+0
;THERMO K click.c,45 :: 		I2C_Write(MCP9600_I2C_ADDR,tmp_data,1,END_MODE_RESTART);                      // Send byte (tmp_data[0])
MOVW	R3, #0
MOVS	R2, #1
MOVW	R1, #lo_addr(_tmp_data+0)
MOVT	R1, #hi_addr(_tmp_data+0)
MOVS	R0, #96
BL	_I2C_Write+0
;THERMO K click.c,46 :: 		Delay_us(50);                                                                 // delay 50 us
MOVW	R7, #599
MOVT	R7, #0
NOP
NOP
L_Read_MCP9600_Data0:
SUBS	R7, R7, #1
BNE	L_Read_MCP9600_Data0
NOP
NOP
NOP
;THERMO K click.c,47 :: 		I2C_Read(MCP9600_I2C_ADDR,tmp_data,1,END_MODE_STOP);                          // Read register data value and store it in tmp_data
MOVW	R3, #1
MOVS	R2, #1
MOVW	R1, #lo_addr(_tmp_data+0)
MOVT	R1, #hi_addr(_tmp_data+0)
MOVS	R0, #96
BL	_I2C_Read+0
;THERMO K click.c,49 :: 		return tmp_data[0];                                                               // Return MCP9600 Data value
MOVW	R1, #lo_addr(_tmp_data+0)
MOVT	R1, #hi_addr(_tmp_data+0)
LDRB	R0, [R1, #0]
;THERMO K click.c,50 :: 		}
L_end_Read_MCP9600_Data:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _Read_MCP9600_Data
_Read_MCP9600_Status:
;THERMO K click.c,59 :: 		char Read_MCP9600_Status()
SUB	SP, SP, #4
STR	LR, [SP, #0]
;THERMO K click.c,63 :: 		tmp_data[0] = MCP9600_Status;                                                 // Register address
MOVS	R1, #4
MOVW	R0, #lo_addr(_tmp_data+0)
MOVT	R0, #hi_addr(_tmp_data+0)
STRB	R1, [R0, #0]
;THERMO K click.c,65 :: 		I2C_Start();                                                                  // Issue I2C start signal
BL	_I2C_Start+0
;THERMO K click.c,66 :: 		I2C_Write(MCP9600_I2C_ADDR,tmp_data,1,END_MODE_RESTART);                      // Send byte (tmp_data[0])
MOVW	R3, #0
MOVS	R2, #1
MOVW	R1, #lo_addr(_tmp_data+0)
MOVT	R1, #hi_addr(_tmp_data+0)
MOVS	R0, #96
BL	_I2C_Write+0
;THERMO K click.c,67 :: 		Delay_us(50);                                                                 // delay 50 us
MOVW	R7, #599
MOVT	R7, #0
NOP
NOP
L_Read_MCP9600_Status2:
SUBS	R7, R7, #1
BNE	L_Read_MCP9600_Status2
NOP
NOP
NOP
;THERMO K click.c,68 :: 		I2C_Read(MCP9600_I2C_ADDR,tmp_data,1,END_MODE_STOP);                          // Read register data value and store it in tmp_data
MOVW	R3, #1
MOVS	R2, #1
MOVW	R1, #lo_addr(_tmp_data+0)
MOVT	R1, #hi_addr(_tmp_data+0)
MOVS	R0, #96
BL	_I2C_Read+0
;THERMO K click.c,72 :: 		return DataSum;                                                                 // Return MCP9600 Data value
MOVW	R0, #lo_addr(_tmp_data+0)
MOVT	R0, #hi_addr(_tmp_data+0)
LDRB	R0, [R0, #0]
;THERMO K click.c,73 :: 		}
L_end_Read_MCP9600_Status:
LDR	LR, [SP, #0]
ADD	SP, SP, #4
BX	LR
; end of _Read_MCP9600_Status
_Read_Temperature:
;THERMO K click.c,82 :: 		float Read_Temperature()
SUB	SP, SP, #8
STR	LR, [SP, #0]
;THERMO K click.c,86 :: 		tmp_data[0] = MCP9600_TH;                                                     // Thermocouple Temperature register
MOVS	R1, #0
MOVW	R0, #lo_addr(_tmp_data+0)
MOVT	R0, #hi_addr(_tmp_data+0)
STRB	R1, [R0, #0]
;THERMO K click.c,88 :: 		I2C_Start();                                                                  // Issue I2C start signal
BL	_I2C_Start+0
;THERMO K click.c,89 :: 		I2C_Write(MCP9600_I2C_ADDR,tmp_data,1,END_MODE_RESTART);                      // Send byte (tmp_data[0])
MOVW	R3, #0
MOVS	R2, #1
MOVW	R1, #lo_addr(_tmp_data+0)
MOVT	R1, #hi_addr(_tmp_data+0)
MOVS	R0, #96
BL	_I2C_Write+0
;THERMO K click.c,90 :: 		Delay_us(50);                                                                 // delay 50 us
MOVW	R7, #599
MOVT	R7, #0
NOP
NOP
L_Read_Temperature4:
SUBS	R7, R7, #1
BNE	L_Read_Temperature4
NOP
NOP
NOP
;THERMO K click.c,91 :: 		I2C_Read(MCP9600_I2C_ADDR,tmp_data,2,END_MODE_STOP);                          // Read thermocouple temperature and store it in tmp_data
MOVW	R3, #1
MOVS	R2, #2
MOVW	R1, #lo_addr(_tmp_data+0)
MOVT	R1, #hi_addr(_tmp_data+0)
MOVS	R0, #96
BL	_I2C_Read+0
;THERMO K click.c,93 :: 		if((tmp_data[0] & 0x80) == 0x80){                                             // TA < 0C
MOVW	R0, #lo_addr(_tmp_data+0)
MOVT	R0, #hi_addr(_tmp_data+0)
LDRB	R0, [R0, #0]
AND	R0, R0, #128
UXTB	R0, R0
CMP	R0, #128
IT	NE
BNE	L_Read_Temperature6
;THERMO K click.c,94 :: 		tmp_data[0] = tmp_data[0] & 0x7F;                                           // Clear SIGN
MOVW	R1, #lo_addr(_tmp_data+0)
MOVT	R1, #hi_addr(_tmp_data+0)
LDRB	R0, [R1, #0]
AND	R0, R0, #127
UXTB	R0, R0
STRB	R0, [R1, #0]
;THERMO K click.c,95 :: 		Temperature = 1024 - (tmp_data[0]*16 + tmp_data[1] / 16);
LSLS	R1, R0, #4
SXTH	R1, R1
MOVW	R0, #lo_addr(_tmp_data+1)
MOVT	R0, #hi_addr(_tmp_data+1)
LDRB	R0, [R0, #0]
LSRS	R0, R0, #4
UXTB	R0, R0
ADDS	R0, R1, R0
SXTH	R0, R0
RSB	R0, R0, #1024
SXTH	R0, R0
BL	__SignedIntegralToFloat+0
; Temperature start address is: 0 (R0)
;THERMO K click.c,96 :: 		}
; Temperature end address is: 0 (R0)
IT	AL
BAL	L_Read_Temperature7
L_Read_Temperature6:
;THERMO K click.c,98 :: 		Temperature = (tmp_data[0] * 16 + (float)tmp_data[1] / 16);                 // Temperature = Ambient Temperature (C)
MOVW	R0, #lo_addr(_tmp_data+0)
MOVT	R0, #hi_addr(_tmp_data+0)
LDRB	R0, [R0, #0]
LSLS	R0, R0, #4
STRH	R0, [SP, #4]
MOVW	R0, #lo_addr(_tmp_data+1)
MOVT	R0, #hi_addr(_tmp_data+1)
LDRB	R0, [R0, #0]
BL	__UnsignedIntegralToFloat+0
MOV	R2, #1098907648
BL	__Div_FP+0
LDRSH	R1, [SP, #4]
STR	R0, [SP, #4]
SXTH	R0, R1
BL	__SignedIntegralToFloat+0
LDR	R2, [SP, #4]
BL	__Add_FP+0
; Temperature start address is: 4 (R1)
MOV	R1, R0
; Temperature end address is: 4 (R1)
MOV	R0, R1
L_Read_Temperature7:
;THERMO K click.c,100 :: 		return Temperature;                                                           // Return Thermocouple temperature data
; Temperature start address is: 0 (R0)
; Temperature end address is: 0 (R0)
;THERMO K click.c,101 :: 		}
L_end_Read_Temperature:
LDR	LR, [SP, #0]
ADD	SP, SP, #8
BX	LR
; end of _Read_Temperature
_updateLabel:
;THERMO K click.c,110 :: 		void updateLabel(char *newText, int x, int y, char* lbl)
SUB	SP, SP, #20
STR	LR, [SP, #0]
STR	R0, [SP, #4]
STRH	R1, [SP, #8]
STRH	R2, [SP, #12]
STR	R3, [SP, #16]
;THERMO K click.c,112 :: 		TFT_Set_Font(&Tahoma52x52_Bold, CL_WHITE, FO_HORIZONTAL);                     // Color of background
MOVS	R2, #0
MOVW	R1, #65535
MOVW	R0, #lo_addr(_Tahoma52x52_Bold+0)
MOVT	R0, #hi_addr(_Tahoma52x52_Bold+0)
BL	_TFT_Set_Font+0
;THERMO K click.c,113 :: 		TFT_Write_Text(lbl, x, y);                                                    // Write text on TFT display with background color
LDRSH	R2, [SP, #12]
LDRSH	R1, [SP, #8]
LDR	R0, [SP, #16]
BL	_TFT_Write_Text+0
;THERMO K click.c,114 :: 		strcpy(lbl, newText);                                                         // Copy newText to lbl
LDR	R1, [SP, #4]
LDR	R0, [SP, #16]
BL	_strcpy+0
;THERMO K click.c,115 :: 		TFT_Set_Font(&Tahoma52x52_Bold, CL_BLACK, FO_HORIZONTAL);                     // Color of text
MOVS	R2, #0
MOVW	R1, #0
MOVW	R0, #lo_addr(_Tahoma52x52_Bold+0)
MOVT	R0, #hi_addr(_Tahoma52x52_Bold+0)
BL	_TFT_Set_Font+0
;THERMO K click.c,116 :: 		TFT_Write_Text(lbl, x, y);                                                    // Write text on  TFT display with black color
LDRSH	R2, [SP, #12]
LDRSH	R1, [SP, #8]
LDR	R0, [SP, #16]
BL	_TFT_Write_Text+0
;THERMO K click.c,117 :: 		}
L_end_updateLabel:
LDR	LR, [SP, #0]
ADD	SP, SP, #20
BX	LR
; end of _updateLabel
_main:
;THERMO K click.c,122 :: 		void main()
SUB	SP, SP, #4
;THERMO K click.c,124 :: 		display_init();                                                               // Initialize display
MOVS	R1, #240
MOVW	R0, #320
BL	_TFT_Init_ILI9341_8bit+0
MOVS	R1, #1
SXTB	R1, R1
MOVW	R0, #lo_addr(GPIOE_ODR+0)
MOVT	R0, #hi_addr(GPIOE_ODR+0)
STR	R1, [R0, #0]
MOVS	R1, #1
MOVW	R0, #65535
BL	_TFT_Set_Pen+0
MOVS	R1, #0
MOVS	R0, #0
PUSH	(R1)
PUSH	(R0)
MOVS	R3, #0
MOVS	R2, #0
MOVW	R1, #65535
MOVS	R0, #1
BL	_TFT_Set_Brush+0
ADD	SP, SP, #8
MOVS	R2, #0
MOVW	R1, #0
MOVW	R0, #lo_addr(_TFT_defaultFont+0)
MOVT	R0, #hi_addr(_TFT_defaultFont+0)
BL	_TFT_Set_Font+0
MOVW	R0, #65535
BL	_TFT_Fill_Screen+0
MOVS	R1, #1
MOVW	R0, #0
BL	_TFT_Set_Pen+0
MOVS	R3, #46
SXTH	R3, R3
MOVW	R2, #300
SXTH	R2, R2
MOVS	R1, #46
SXTH	R1, R1
MOVS	R0, #20
SXTH	R0, R0
BL	_TFT_Line+0
MOVS	R3, #70
SXTH	R3, R3
MOVW	R2, #300
SXTH	R2, R2
MOVS	R1, #70
SXTH	R1, R1
MOVS	R0, #20
SXTH	R0, R0
BL	_TFT_Line+0
MOVS	R3, #220
SXTH	R3, R3
MOVW	R2, #300
SXTH	R2, R2
MOVS	R1, #220
SXTH	R1, R1
MOVS	R0, #20
SXTH	R0, R0
BL	_TFT_Line+0
MOVS	R1, #1
MOVW	R0, #65535
BL	_TFT_Set_Pen+0
MOVS	R2, #0
MOVW	R1, #63488
MOVW	R0, #lo_addr(_HandelGothic_BT21x22_Regular+0)
MOVT	R0, #hi_addr(_HandelGothic_BT21x22_Regular+0)
BL	_TFT_Set_Font+0
MOVW	R0, #lo_addr(?lstr1_THERMO_32K_32click+0)
MOVT	R0, #hi_addr(?lstr1_THERMO_32K_32click+0)
MOVS	R2, #14
MOVS	R1, #85
BL	_TFT_Write_Text+0
MOVS	R2, #0
MOVW	R1, #31
MOVW	R0, #lo_addr(_Tahoma15x16_Bold+0)
MOVT	R0, #hi_addr(_Tahoma15x16_Bold+0)
BL	_TFT_Set_Font+0
MOVW	R0, #lo_addr(?lstr2_THERMO_32K_32click+0)
MOVT	R0, #hi_addr(?lstr2_THERMO_32K_32click+0)
MOVS	R2, #50
MOVS	R1, #125
BL	_TFT_Write_Text+0
MOVS	R2, #0
MOVW	R1, #0
MOVW	R0, #lo_addr(_Verdana12x13_Regular+0)
MOVT	R0, #hi_addr(_Verdana12x13_Regular+0)
BL	_TFT_Set_Font+0
MOVW	R0, #lo_addr(?lstr3_THERMO_32K_32click+0)
MOVT	R0, #hi_addr(?lstr3_THERMO_32K_32click+0)
MOVS	R2, #223
MOVS	R1, #19
BL	_TFT_Write_Text+0
MOVS	R2, #0
MOVW	R1, #63488
MOVW	R0, #lo_addr(_Verdana12x13_Regular+0)
MOVT	R0, #hi_addr(_Verdana12x13_Regular+0)
BL	_TFT_Set_Font+0
MOVW	R0, #lo_addr(?lstr4_THERMO_32K_32click+0)
MOVT	R0, #hi_addr(?lstr4_THERMO_32K_32click+0)
MOVS	R2, #223
MOVS	R1, #200
BL	_TFT_Write_Text+0
MOVS	R2, #0
MOVW	R1, #0
MOVW	R0, #lo_addr(_Tahoma15x16_Bold+0)
MOVT	R0, #hi_addr(_Tahoma15x16_Bold+0)
BL	_TFT_Set_Font+0
;THERMO K click.c,125 :: 		TFT_Image(20, 82, Thermometer_bmp, 1);
MOVS	R3, #1
MOVW	R2, #lo_addr(_Thermometer_bmp+0)
MOVT	R2, #hi_addr(_Thermometer_bmp+0)
MOVS	R1, #82
MOVS	R0, #20
BL	_TFT_Image+0
;THERMO K click.c,128 :: 		I2C1_Init_Advanced(100000, &_GPIO_MODULE_I2C1_PB67);
MOVW	R1, #lo_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVT	R1, #hi_addr(__GPIO_MODULE_I2C1_PB67+0)
MOVW	R0, #34464
MOVT	R0, #1
BL	_I2C1_Init_Advanced+0
;THERMO K click.c,129 :: 		Delay_ms(200);                                                                // Delay 200 ms
MOVW	R7, #40703
MOVT	R7, #36
NOP
NOP
L_main8:
SUBS	R7, R7, #1
BNE	L_main8
NOP
NOP
NOP
;THERMO K click.c,134 :: 		while(1){
L_main10:
;THERMO K click.c,135 :: 		status = &Read_MCP9600_Status;
MOVS	R1, #lo_addr(_Read_MCP9600_Status+0)
MOVW	R0, #lo_addr(_status+0)
MOVT	R0, #hi_addr(_status+0)
STRB	R1, [R0, #0]
;THERMO K click.c,136 :: 		Temp_Data_Ready = (status & 0x40);
LDRB	R0, [R0, #0]
AND	R1, R0, #64
UXTB	R1, R1
MOVW	R0, #lo_addr(_Temp_Data_Ready+0)
MOVT	R0, #hi_addr(_Temp_Data_Ready+0)
STRB	R1, [R0, #0]
;THERMO K click.c,138 :: 		if (Temp_Data_Ready){                                                       // Check is Temperature Data ready
CMP	R1, #0
IT	EQ
BEQ	L_main12
;THERMO K click.c,139 :: 		sprintf(txt, "%2.1fC", Read_Temperature());                              // Format Temperature Data and store it to txt
BL	_Read_Temperature+0
MOVW	R2, #lo_addr(?lstr_5_THERMO_32K_32click+0)
MOVT	R2, #hi_addr(?lstr_5_THERMO_32K_32click+0)
MOVW	R1, #lo_addr(_txt+0)
MOVT	R1, #hi_addr(_txt+0)
PUSH	(R0)
PUSH	(R2)
PUSH	(R1)
BL	_sprintf+0
ADD	SP, SP, #12
;THERMO K click.c,140 :: 		res = strcmp(txt,old_txt);                                                // Compare old_txt and txt
MOVW	R1, #lo_addr(_old_txt+0)
MOVT	R1, #hi_addr(_old_txt+0)
MOVW	R0, #lo_addr(_txt+0)
MOVT	R0, #hi_addr(_txt+0)
BL	_strcmp+0
MOVW	R1, #lo_addr(_res+0)
MOVT	R1, #hi_addr(_res+0)
STRB	R0, [R1, #0]
;THERMO K click.c,142 :: 		if(res != 0){                                                             // If old_txt and txt are not equal
UXTB	R0, R0
CMP	R0, #0
IT	EQ
BEQ	L_main13
;THERMO K click.c,143 :: 		updateLabel(txt, 135, 90, lab1);                                        // Write temperature value on display
MOVW	R3, #lo_addr(_lab1+0)
MOVT	R3, #hi_addr(_lab1+0)
MOVS	R2, #90
SXTH	R2, R2
MOVS	R1, #135
SXTH	R1, R1
MOVW	R0, #lo_addr(_txt+0)
MOVT	R0, #hi_addr(_txt+0)
BL	_updateLabel+0
;THERMO K click.c,144 :: 		strcpy(old_txt,txt);                                                    // Copy txt to old_txt string array
MOVW	R1, #lo_addr(_txt+0)
MOVT	R1, #hi_addr(_txt+0)
MOVW	R0, #lo_addr(_old_txt+0)
MOVT	R0, #hi_addr(_old_txt+0)
BL	_strcpy+0
;THERMO K click.c,145 :: 		}
L_main13:
;THERMO K click.c,146 :: 		}
L_main12:
;THERMO K click.c,147 :: 		Delay_ms(500);
MOVW	R7, #36223
MOVT	R7, #91
NOP
NOP
L_main14:
SUBS	R7, R7, #1
BNE	L_main14
NOP
NOP
NOP
;THERMO K click.c,148 :: 		}
IT	AL
BAL	L_main10
;THERMO K click.c,149 :: 		}
L_end_main:
L__main_end_loop:
B	L__main_end_loop
; end of _main
